Subject: Re: bug#36389: nginx/certbot interaction doesn't work as documented
From: Maxim Cournoyer <[email-masked]>
To: Andreas Enge <[email-masked]>
Cc: [email-masked]
Date: Tue, 08 Jul 2025 16:58:20 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Andreas Enge <[email-masked]> writes:

> Actually this seems to be a thing of the service, not nginx itself.
>
> When I stop the service with the old configuration file, manually run
>    /gnu/store/bdhfqs7sx3mal6pzz8z00hw4cpn5dj7x-nginx-1.21.4/sbin/nginx
> -p /var/run/nginx -c new_configuration_file
> kill the process, and "herd restart nginx",
> the herd service uses the old configuration file again.

I'm tentatively closing this, from a fresh experience configuring nginx
and certbot services. I stumbled on a different issue, which I'll
address in a separate patch.

-- 
Thanks,
Maxim